// Command.java
//
// ICS 23 / CSE 23 Summer 2012
// Project #3: Always Changing Probably



// Command is an abstract class that encapsulates a command in the program.
// Different kinds of commands will store different information (for example,
// a CreateCommand will store a table name and a collection of column names).
// All kinds of commands can be executed, by calling an execute() method.
// To that end, you should declare an abstract execute() method in this
// class, then implement that method in each of the subclasses of Command.
// The intent of execute() is to execute that command on the database.  You
// might have a Database class, for example.  If so, a sensible parameter for
// the execute() method is a Database object.  As an example, then, the
// CreateCommand implementation of execute() might call some create() method
// on the Database, passing the name of the new table and an ArrayList of the
// names of the columns.
//
// Since commands may fail -- e.g. you can't create a table named X if there
// already is a table named X -- you might want your execute() method to throw
// an exception to indicate failure.  Since the user interface need not explain
// the reason for failures, there's no need for that exception to carry any
// explanation with it.


public abstract class Command
{
	// Declare an abstract method called execute() here.  You'll need to
	// decide on a signature.

}
